## org.springframework.web.multipart.support
Class StringMultipartFileEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.springframework.web.multipart.support.StringMultipartFileEditor

All Implemented Interfaces:
  PropertyEditor

    public class StringMultipartFileEditor

extends PropertyEditorSupport

Custom `PropertyEditor` for converting `MultipartFiles` to Strings.

Allows one to specify the charset to use.

Since:
  13.10.2003
Author:
  Juergen Hoeller

Constructor Summary
`StringMultipartFileEditor()` Create a new `StringMultipartFileEditor`, using the default charset.
`StringMultipartFileEditor(String charsetName)` Create a new `StringMultipartFileEditor`, using the given charset.

Method Summary
`void` `setAsText(String text)`
`void` `setValue(Object value)`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getAsText, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringMultipartFileEditor

    public StringMultipartFileEditor()

  Create a new `StringMultipartFileEditor`, using the default charset.

### StringMultipartFileEditor

    public StringMultipartFileEditor(String charsetName)

  Create a new `StringMultipartFileEditor`, using the given charset.

  Parameters:
    `charsetName` - valid charset name
  See Also:
    `String.String(byte[],String)`

Method Detail

### setAsText

    public void setAsText(String text)

  Specified by:
    `setAsText` in interface `PropertyEditor`
  Overrides:
    `setAsText` in class `PropertyEditorSupport`

### setValue

    public void setValue(Object value)

  Specified by:
    `setValue` in interface `PropertyEditor`
  Overrides:
    `setValue` in class `PropertyEditorSupport`